Bug 1105619 - [GSS] (6.2.x) Nonexistent ldap group causes authentication to fail in security-realm
Summary: [GSS] (6.2.x) Nonexistent ldap group causes authentication to fail in securit...
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: EAP 6.2.4
Assignee: Carlo de Wolf
QA Contact: Josef Cacek
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On: 1105677 1128176
Blocks: 1143052 eap62-cp04-blockers 1127938
TreeView+ depends on / blocked
 
Reported: 2014-06-06 14:30 UTC by Derek Horton
Modified: 2019-03-22 07:13 UTC (History)
3 users (show)

(edit)
Clone Of:
: 1105677 1127938 (view as bug list)
(edit)
Last Closed: 2014-06-12 08:45:22 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3464 Major Resolved Nonexistent ldap group causes authentication to fail in security-realm 2017-08-11 13:36 UTC

Description Derek Horton 2014-06-06 14:30:32 UTC
Description of problem:
The LdapGroupSearcher code will fail if it tries to lookup a group that 
does not exist on the local ldap server.

This can happen when the ldap systems are configured as trusted domains.  
Even though the security-realm is not configured to use the trusted domain
(it is configured to only look at a single ldap server), the 
user's entry on one ldap server could point at a group that exists on 
the other (trusted) ldap server.

The LdapGroupSearcher code attempts to lookup this role and it fails.  This 
failure is sent back to the http server which results in an HTTP 500 error
and leaves the user with no way to authenticate/login.

There is currently not a way to tell the group searcher code to ignore the 
group/role that cannot be found.


How reproducible:
Create a user in ldap that has a "bogus" group.  Log into the admin console as that user.  Once the LdapGroupSearcher code looks up the user, it will fail when it attempts to lookup the "bogus" group.

Comment 3 Carlo de Wolf 2014-06-12 08:45:39 UTC
Missed the cut.


Note You need to log in before you can comment on or make changes to this bug.